//---------------------------------------------------------------------------

#ifndef EncodingThreadH
#define EncodingThreadH
//---------------------------------------------------------------------------

#include <Classes.hpp>

class TEncodingThread : public TThread
{
private:
   TStream *FSourceStream, *FDestStream;
   unsigned int FSize;

public:
   TEncodingThread(TStream *SourceStream, TStream *DestStream, unsigned int Size);

private:
   void __fastcall Execute();
   void __fastcall ChangeProgress();
   void __fastcall CloseProgressForm();
   void __fastcall SetupProgressForm();
};

#endif
